Index: flashchips.c
===================================================================
--- flashchips.c	(revision 1421)
+++ flashchips.c	(working copy)
@@ -2305,6 +2305,30 @@
 	},
 
 	{
+		.vendor		= "CATALYST",
+		.name		= "CAT28F512",
+		.bustype	= BUS_PARALLEL,
+		.manufacture_id	= CATALYST_ID,
+		.model_id	= CATALYST_CAT28F512,
+		.total_size	= 64,
+		.page_size	= 256,
+		.feature_bits	= FEATURE_EITHER_RESET,
+		.tested		= TEST_OK_PR,
+		.probe		= probe_jedec,
+		.probe_timing	= TIMING_ZERO,
+		.block_erasers	=
+		{
+			{
+				.eraseblocks = { {64 * 1024, 1} },
+				.block_erase = erase_chip_block_jedec,
+			},
+		},
+		.write		= write_jedec_1,
+		.read		= read_memmapped,
+		.voltage	= {4500, 5500},
+	},
+
+	{
 		.vendor		= "Bright",
 		.name		= "BM29F040",
 		.bustype	= BUS_PARALLEL,
Index: flashchips.h
===================================================================
--- flashchips.h	(revision 1421)
+++ flashchips.h	(working copy)
@@ -192,6 +192,7 @@
 #define BRIGHT_BM29F400T	0xAD
 
 #define CATALYST_ID		0x31	/* Catalyst */
+#define CATALYST_CAT28F512	0xB8
 
 #define EMST_ID			0x8C	/* EMST / EFST Elite Flash Storage */
 #define EMST_F25L008A		0x2014
